import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/captcha_img_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/captcha_img_entity.g.dart';

@JsonSerializable()
class CaptchaImgEntity {
	bool sensitive = false;
	String? key;
	String? img;

	CaptchaImgEntity();

	factory CaptchaImgEntity.fromJson(Map<String, dynamic> json) => $CaptchaImgEntityFromJson(json);

	Map<String, dynamic> toJson() => $CaptchaImgEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}